<?php
header("Content-type: text/html; charset=utf-8");

  // Daca exista trimis prin formular: pag
  if (isset($_POST['pag'])) {
		$inapoi = '<br /><b><a href="javascript: history.go(-1)">Click aici</a></b> pentru a reveni la pagina anterioara.'."\r\n";

	  // Daca exista trimise prin formular: nume, email si comentariu
	  if (isset($_POST['nume']) && isset($_POST['coment'])) {
		// Preia datele din formular si le adauga in matricea '$m[]'
		$m['pag'] = $_POST['pag'];
		$m['nume'] = $_POST['nume'];
		$m['coment'] = $_POST['coment'];

		// Verifica lungimea sirurilor din campurile formularului
		if (strlen($m['nume'])<2 || strlen($m['nume'])>42) {
		  print '<br /><br /><br /><center><h4>
			Numele trebuie sa contina intre 2 si 42 caractere</h4>'. $inapoi. '</center>';
		  exit();
		}
		elseif (strlen($m['coment'])<5 || strlen($m['coment'])>600) {
		  print '<br /><br /><br /><center><h4>
			Comentariul trebuie sa contina intre 5 si 600 caractere</h4>'. $inapoi. '</center>';
		  exit();
		}
		else {
		  include_once("admin.php");		// Conectare-selectare baza de date
		  include_once("functii.php");		// fisierul cu functii de filtrare si formatare sir
		  $data = time();
		  // Daca e-mail-ul nu e adaugat
		  if ($m['email'] == '.@ptional') {
			$m['email'] = " ";
		  }
		  // Daca adresa de site nu e adaugata
		  if ($m['site'] == 'optional') {
			$m['site'] = " ";
		  }

		  // Curata datele din matricea '$m[]' pentru a fi adaugate in siguranta in baza de date
		  $m = array_map("clean_data", $m);

		
		  // Adauga datele in baza de date
		  $sql = "INSERT INTO `comentarii` (pagina, nume, coment, data) VALUES ('".$m['pag']."', '".$m['nume']."', '".$m['coment']."', '$data')";
		  if (!mysql_query($sql, $conn)) {
			print '<br /><br /><br /><center><h4>
				Eroare la introducerea datelor in baza de date : '. mysql_errno(). ' : '. mysql_error();
			exit;
		  }
		  mysql_close();

		// Eliminarea ' din nume, pt. afisare in alert
		$nume = str_replace("'", "", $_POST['nume']);
		$protocol = $_SERVER['HTTPS'] == 'on' ? 'https' : 'http';		// Determina protocolul site-ului
		echo '<script type="text/javascript">
			<!-- 
				window.alert(\'Multumim '.$nume.' \\n Comentariul a fost adaugat.\');
				window.location = "'.$protocol.'://'.$_SERVER['HTTP_HOST'].urldecode($_POST['pag']).'#mp";
			//-->
			</script>';
		}
	  }
	  else {
		echo '<br /><br /><br /><center><h4>
			Nu au fost completate toate campurile din formular. </h4>'. $inapoi. '</center>';
	  }
  }
  else {
	print '<br /><br /><br /><center><h4>
		Date trimise incomplet';
	exit;
  }
?>